#include "rvs_plugin/ThreadNode.h"
// #include "rvs_plugin/rvsLogging.h"
#include "rvs_plugin/rvsLoggingCN.h"
#include "opencv2/opencv.hpp"
class MatchTemplateThreadPluginNode : public rvs::ThreadNode
{
private:
public:
    MatchTemplateThreadPluginNode();
    ~MatchTemplateThreadPluginNode();

protected:
    void ThreadInit() override;

    void ThreadFinish() override;

    bool BeforeProcess() override;

    int ThreadProcess() override;

    bool AfterProcess() override;

private:
    std::string m_img;
    std::string m_template;
    cv::Mat m_input_image;
    cv::Mat m_input_template;
};
