#include "rvs_plugin/Node.h"
// #include "rvs_plugin/rvsLogging.h"
#include "rvs_plugin/rvsLoggingCN.h"

/*! \brief Short description of SimpleSortPluginNode
 *  本算子的功能，根据xyz给定的顺序进行排序
 */
class SimpleSortPluginNode : public rvs::Node
{
public:
  SimpleSortPluginNode();
  ~SimpleSortPluginNode();

protected:
  virtual int Process() override;

private:
  float x_dif_range;
  float y_dif_range;
  std::vector<std::string> m_sort_mode_name_list;
  // parameter, selectable
  std::string m_sort_mode_name;
  std::vector<std::string> m_sort_mode_list;
  std::string m_sort_mode;
  std::string m_sort_x_mode;
  std::string m_sort_y_mode;
  bool Compare(const Pose &pose1, const Pose &pose2);
};
